# Uses of Interface
bsh.BshClassManager.Listener

Packages that use BshClassManager.Listener
Package
Description
bsh
bsh.classpath

## Uses of BshClassManager.Listener in bsh

Classes in bsh that implement BshClassManager.Listener
Modifier and Type
Class
Description
`class`
`ExternalNameSpace`
A namespace which maintains an external map of values held in variables in its scope.
`class`
`NameSpace`
A namespace in which methods, variables, and imports (class names) live.
Methods in bsh with parameters of type BshClassManager.Listener
Modifier and Type
Method
Description
`void`
BshClassManager.`addListener(BshClassManager.Listener l)`
`void`
BshClassManager.`removeListener(BshClassManager.Listener l)`

## Uses of BshClassManager.Listener in bsh.classpath

Methods in bsh.classpath with parameters of type BshClassManager.Listener
Modifier and Type
Method
Description
`void`
ClassManagerImpl.`addListener(BshClassManager.Listener l)`
`void`
ClassManagerImpl.`removeListener(BshClassManager.Listener l)`